Distributor API
Create partner membership
Path Parameters
partnerUuid*string
Format
uuidHeader Parameters
SW-DISTRIBUTOR-ID*string
SW-API-KEY*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/distributors/partners/497f6eca-6276-4993-bfeb-53cbbbba6f08/memberships" \ -H "SW-DISTRIBUTOR-ID: string" \ -H "SW-API-KEY: string" \ -H "Content-Type: application/json" \ -d '{ "email": "new-member@example.com", "role": 1 }'{
"success": true,
"data": {
"id": 0,
"organization_id": 0,
"role": 0,
"user_id": "string",
"invited_email": "string",
"code": "string",
"created_at": "2019-08-24T14:15:22Z",
"user": {
"id": "string",
"email": "string",
"display_name": "string",
"user_type": "string"
}
}
}{
"success": false,
"error": "string"
}{
"success": false,
"error": "string"
}{
"success": false,
"error": "string"
}{
"success": false,
"error": "string"
}{
"success": false,
"error": "string"
}